%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		PyQuante
Version:	1.6.3
Release:	3%{?dist}
Summary:	Python Quantum Chemistry
Group:		Applications/Engineering
License:	BSD
URL:		http://pyquante.sourceforge.net/
Source0:	http://downloads.sourceforge.net/pyquante/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	numpy
Requires:	numpy

%description
PyQuante is an open-source suite of programs for developing quantum chemistry
methods. The program is written in the Python programming language, but has
many "rate-determining" modules also written in C for speed. The resulting
code, though not as fast as Jaguar, NWChem, Gaussian, or GAMESS, is much
easier to understand and modify. The goal of this software is not necessarily
to provide a working quantum chemistry program (although it will hopefully do
that), but rather to provide a well-engineered set of tools so that scientists
can construct their own quantum chemistry programs without going through the
tedium of having to write every low-level routine.

%prep
%setup -q

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf %{buildroot}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -a Tests %{buildroot}/%{_datadir}/%{name}/


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README Doc/*
%{python_sitearch}/*
%{_datadir}/%{name}

%changelog
* Thu Dec 17 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.6.3-3
- Fix FTBFS on Fedora 13.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.6.3-1
- Update to 1.6.3 that fixes the rest of the rpmlint errors.

* Wed Feb 25 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.6.2-1
- Fix source URL.
- Update to 1.6.2 that removes the shebangs and removes the use of the with 
keyword.

* Tue Feb 24 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.6.1-5
- Add tests to %%{_datadir}/%%{name}.

* Tue Feb 24 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.6.1-4
- Review fixes.

* Fri Nov 21 2008 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.6.1-3
- Fixed license tag.

* Thu Nov 13 2008 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.6.1-2
- Initial review fixes. 

* Sun Oct 26 2008 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.6.1-1
- First release.
